Significant Event Insert

The Significant Event Insert service allows you to add a new significant event value to the system.

Service Name

significant_event_insert

Required Parameters

NameType
namestring
order_byinteger

Optional Parameters

None

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=significant_event_insert&name=New+Value&order_by=1"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
     <parameters>
        <argument value="significant_event_insert" name="srv"/>
        <argument value="YrL7FcOKl37JFprC" name="name"/>
        <argument value="3" name="order_by"/>
     </parameters>
  </request>
  <response>
    <service>significant_event_insert</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <significant_events count="1">
      <significant_event id="144">
        <name>YrL7FcOKl37JFprC</name>
        <order_by>3</order_by>
        <owner id="1">
          <first_name>Larry</first_name>
          <last_name>Cucumber</last_name>
          <full_name>Larry Cucumber</full_name>
          <email>[email protected]</email>
          <phones>
            <phone type="mobile">0123456789</phone>
          </phones>
        </owner>
        <editable>1</editable>
        <listed>1</listed>
        <creator id="0">System User</creator>
        <modifier id="0">System User</modifier>
        <created>2014-01-28 10:25:29</created>
        <modified>2014-01-28 10:25:29</modified>
      </significant_event>
    </significant_events>
  </response>
</ccb_api>